summaryrefslogtreecommitdiff
path: root/yarn.tests
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2013-08-25 14:11:50 +0100
committerLars Wirzenius <liw@liw.fi>2013-08-25 14:12:03 +0100
commit3573f2213988fdc477d3cbf123981f7397f42cdb (patch)
treed89c9be6f462a5b47a8af129441c68c39cea30d2 /yarn.tests
parent1dbacde0bfa4463434abe3ecbccd2c03a29a3c16 (diff)
downloadcmdtest-3573f2213988fdc477d3cbf123981f7397f42cdb.tar.gz
Add --env option
Suggested by Daniel Silverstone
Diffstat (limited to 'yarn.tests')
-rwxr-xr-xyarn.tests/env-option.script15
1 files changed, 15 insertions, 0 deletions
diff --git a/yarn.tests/env-option.script b/yarn.tests/env-option.script
new file mode 100755
index 0000000..9724ffc
--- /dev/null
+++ b/yarn.tests/env-option.script
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -eu
+
+
+cat <<EOF > "$DATADIR/test.yarn"
+ SCENARIO foo
+ THEN yoyo is set
+
+ IMPLEMENTS THEN yoyo is set
+ env | grep '^yoyo='
+EOF
+
+./run-yarn --env yoyo=something "$DATADIR/test.yarn"
+